Generate a contract from a template
Authorization
apiKey x-api-key<token>
Your workspace API key. Create and manage keys in your Fusial workspace
settings. Keys carry scopes of the form resource:action.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Provide at least one of counterpartyId or counterpartyName.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/contracts/from-template" \ -H "Content-Type: application/json" \ -d '{ "templateId": "string", "ownerId": "string" }'{
"contractId": "string",
"versionId": "string"
}{
"error": {
"code": "not_found",
"message": "Resource not found."
}
}{
"error": {
"code": "not_found",
"message": "Resource not found."
}
}{
"error": {
"code": "not_found",
"message": "Resource not found."
}
}{
"error": {
"code": "not_found",
"message": "Resource not found."
}
}